Array.prototype.includes = require("lodash.includes");
var mjml = require("mjml");
var mjmlPackage = require("mjml-core/package.json");
var migrate = require("mjml-migrate");
module.exports = function(data, options) {
    try {
        var renderResult = mjml(data, options);
        return JSON.stringify(
            {
                "html": renderResult.html,
                "errors": renderResult.errors,
                "mjml": migrate.default(data),
                "version": mjmlPackage.version
            }
        );
    } catch (error) {
        return JSON.stringify(
            {
                "html": "",
                "errors": [String(error), error.stack],
                "mjml": migrate.default(data),
                "version": mjmlPackage.version
            }
        );
    };
};
