package models

func (m Metadata) Remove(name ...string) Metadata {
	for _, n := range name {
		delete(m, n)
	}
	return m
}

func (m Metadata) Clone() Metadata {
	out := make(Metadata)
	for key, value := range m {
		out[key] = value
	}
	return out
}

func (m Metadata) Update(entries Metadata) Metadata {
	if m == nil {
		panic("cannot update 'nil' Metadata")
	}
	for key, value := range entries {
		m[key] = value
	}
	return m
}
