// Code generated by go-swagger with a alpe-api template; DO NOT EDIT.

// Copyright Orus.io team

package template_management

import (
	"net/http"

	"github.com/prometheus/client_golang/prometheus"
	"github.com/prometheus/client_golang/prometheus/promhttp"
)

var (
	accountTemplateDeleteHandlerDuration = prometheus.NewSummaryVec(
		prometheus.SummaryOpts{
			Name:       "alpe_api_handler",
			Help:       "The handlers duration and count.",
			Objectives: map[float64]float64{0.9: 0.01, 0.95: 0.01, 0.99: 0.001},
			ConstLabels: map[string]string{
				"service": "account-template-delete",
			},
		},
		[]string{"code"},
	)

	accountTemplateDeleteHandlerInFlight = prometheus.NewGauge(
		prometheus.GaugeOpts{
			Name: "alpe_api_handler_in_flights",
			Help: "The number of handlers currently running.",
			ConstLabels: map[string]string{
				"service": "account-template-delete",
			},
		},
	)
)

func AccountTemplateDeleteInstrumentHandler(handler http.Handler) http.Handler {
	return promhttp.InstrumentHandlerInFlight(accountTemplateDeleteHandlerInFlight,
		promhttp.InstrumentHandlerDuration(accountTemplateDeleteHandlerDuration,
			handler,
		),
	)
}

func init() {
	prometheus.MustRegister(
		accountTemplateDeleteHandlerDuration,
		accountTemplateDeleteHandlerInFlight,
	)
}
